var i=0;

var barrels = new MakeArray (27);
var barrelsSpeed = 800;
var barrelsPause = 0;
var barrelsCount = 0; // if there are no barrels - make no sound

var segments = new MakeArray (5);
var segmentsSpeed = 900;
var segmentsRandom = 4;
var segmentsPause = 0;

var kong = 2;
var kongSpeed = 300;
var kongRandom = 12; //0 1 2
var kongThrow = 0
var kongPause = 0;

var hook = 0
var hookSpeed = 300;
var hookSpeedMario = 600;

var mario = 0
var marioJump = 0
var marioSpeedJump = 500;
var marioSpeedFall = 500;
var marioSpeedKill = 200;
var marioKill = 0; // if mario was killed
var marioKillPlace = 0; // where mario was killed....

var score = 0;
var scoreSpeed = 40;
var bonus=0;
var hold = 4;
var life = 3;
var game = 4; // 0-no game-all pictures; 1-gameA; 2-gameB; 3-game over-score; 4-clock

var prefSound=false; // 1-on; 0-off


function MakeArray(size) {
	this.length = size;
	for( var i=1; i<=size; i++ ) this[i]= 0;
}

function playsound(soundtoplay) {
	if (prefSound) {
		if (navigator.appName=="Netscape" 
			&& navigator.javaEnabled()
			&& navigator.mimeTypes['audio/x-wav']
			&& self.document.nssound.IsReady() ) {
				self.document.nssound.play()
		} else {
			document.all['iesound'].src = soundtoplay
		}
	}
}

function PrefSound () {
	prefSound=!prefSound;
	if (prefSound) document.images["Sound"].src = "gfx/butsoundon.gif";
	else document.images["Sound"].src = "gfx/butsoundoff.gif";
	playsound('sfx/jump.wav');
}

document.onkeypress=KeyboardControl;
function KeyboardControl() {
	if ((game==1)||(game==2)) {
		if (document.all&&event.keyCode==100) MarioRight(); // d
		if (document.all&&event.keyCode==97) MarioLeft(); // a
		if (document.all&&event.keyCode==119) MarioUp(); // w
		if (document.all&&event.keyCode==115) MarioDown(); // s
		if (document.all&&event.keyCode==110) MarioUpJump(); // n
	}
}

function BarrelsReset () {
	for (var i=1; i<=27; i++) barrels[i] = 0;
}

function BarrelsMove () {
	for ( var i=1; i<21; i++ ) barrels[i]=barrels[i+1];
	if (barrels[14] == 0) barrels[14] = barrels[25];
	if (barrels[16] == 0) barrels[16] = barrels[22];

	for ( var i=22; i<24; i++ ) barrels[i]=barrels[i+1];
	for ( var i=25; i<27; i++ ) barrels[i]=barrels[i+1];
	barrels[21]=0;//0
	barrels[24]=0;//0
	barrels[27]=0;//0

	if (kongThrow == 1) {
		if (kong == 1) barrels[27] = 1;
		if (kong == 2) barrels[24] = 1;
		if (kong == 3) barrels[21] = 1;
		kongThrow = 0;
		document.images["Kong"+eval(kong)+"Img"].src = "gfx/kong"+eval(kong)+".gif";
	}
}

function BarrelsShow () {
	for (var i=1; i<=27; i++)
		if (barrels[i] == 0)	{ document.images["Bar"+eval(i)+"Img"].src = "gfx/null.gif" } else 
								{ document.images["Bar"+eval(i)+"Img"].src = "gfx/bar"+eval(i)+".gif" }; 
}

function BarrelsCollision () {
	if ((barrels[2] == 1) && (mario == 1))  MarioKillPoints ();
	if ((barrels[3] == 1) && (mario == 2))  MarioKillPoints ();
	if ((barrels[4] == 1) && (mario == 3))  MarioKillPoints ();
	if ((barrels[5] == 1) && (mario == 4))  MarioKillPoints ();
	if ((barrels[6] == 1) && (mario == 5))  MarioKillPoints ();

	if ((barrels[8] == 1) && (mario == 6))  MarioKillPoints ();
	if ((barrels[9] == 1) && (mario == 7))  MarioKillPoints ();
	if ((barrels[10] == 1) && (mario == 8))  MarioKillPoints ();
	if ((barrels[11] == 1) && (mario == 9))  MarioKillPoints ();
	if ((barrels[12] == 1) && (mario == 10))  MarioKillPoints ();

	if ((barrels[14] == 1) && (mario == 12))  MarioKillPoints ();
	if ((barrels[26] == 1) && (mario == 13))  MarioKillPoints ();
	if ((barrels[23] == 1) && (mario == 14))  MarioKillPoints ();
	if ((barrels[20] == 1) && (mario == 15))  MarioKillPoints ();
}

function BarrelsGo () {
	if ((game==1)||(game==2)) {
		if (barrelsPause == 0) {
			if (barrelsCount == 1) playsound('sfx/barrel.wav');
			BarrelsCollision ();
			BarrelsMove ();
			BarrelsShow ();
		}
		setTimeout("BarrelsGo ()", barrelsSpeed);
	}
}

function MarioKillPoints () {
	if (marioJump==0) MarioKill ();
	else {
		if ( (mario==1)||(mario==4)	) ScoreAddFast (1);
		if ( (mario==7)||(mario==8) ) ScoreAddFast (2);
	}
}


function SegmentsReset () {
	for (var i=1; i<=5; i++) segments[i] = 0;
}

function SegmentsMove () {
	for ( var i=1; i<5; i++ ) segments[i]=segments[i+1];
	//segments[5]=0;//0
    if (Math.floor(segmentsRandom*Math.random()) == 0) segments[5]=1; else segments[5]=0;
}

function SegmentsShow () {
	for (var i=1; i<=5; i++)
		if (segments[i] == 0)	{ document.images["Seg"+eval(i)+"Img"].src = "gfx/null.gif" } else 
								{ document.images["Seg"+eval(i)+"Img"].src = "gfx/seg"+eval(i)+".gif" }; 
}

function SegmentsCollision () {
	if ((segments[1] == 1) && (mario == 11))  MarioKill ();
	if (marioJump==1) {
		if ((segments[3] == 1) && (mario == 8))  MarioKill ();
		if ((segments[4] == 1) && (mario == 7))  MarioKill ();
	}
}

function SegmentsGo (){
	if ((game==1)||(game==2)) {
		if (barrelsPause == 0) {
			SegmentsMove ();
			SegmentsShow ();
			SegmentsCollision ();
		}
		setTimeout("SegmentsGo ()", segmentsSpeed);
	}
}

function KongMove () {
	i=Math.floor(kongRandom*Math.random());
	if ((kong!=4)&&(kongThrow==0)) {
		// kong is going to throw
		if (i == 0 ) {
			document.images["Kong"+eval(kong)+"Img"].src = "gfx/kong"+eval(kong)+"up.gif";
			kongThrow=1;
			barrelsCount=1;
		}
		// kong is moving left
		if (i == 1) if (kong != 1) {
				document.images["Kong"+eval(kong--)+"Img"].src = "gfx/null.gif";
				document.images["Kong"+eval(kong)+"Img"].src = "gfx/kong"+eval(kong)+".gif";
		}
		// kong is moving right
		if (i == 2) if (kong != 3) {
				document.images["Kong"+eval(kong++)+"Img"].src = "gfx/null.gif";
				document.images["Kong"+eval(kong)+"Img"].src = "gfx/kong"+eval(kong)+".gif";
		}
	}
};

function KongGo () {
	if ((game==1)||(game==2)) {
		if (kongPause == 0) KongMove ();
		setTimeout("KongGo ()", kongSpeed);
	}
}

function HookMove () {
    if (hook == 0) {document.images["SwiImg"].src = "gfx/swion.gif";}; else
    if (hook == 1) {document.images["Hook6Img"].src = "gfx/hook6.gif";
                    document.images["Hook3Img"].src = "gfx/null.gif";
                    document.images["Hook2Img"].src = "gfx/hook2.gif"}; else
    if (hook == 3) {document.images["Hook5Img"].src = "gfx/hook5.gif";
                    document.images["Hook6Img"].src = "gfx/null.gif"}; else
    if (hook == 4) {document.images["Hook4Img"].src = "gfx/hook4.gif";
                    document.images["Hook5Img"].src = "gfx/null.gif"}; else
    if (hook == 6) {document.images["Hook5Img"].src = "gfx/hook5.gif";
                    document.images["Hook4Img"].src = "gfx/null.gif"}; else
    if (hook == 7) {document.images["Hook6Img"].src = "gfx/hook6.gif";
                    document.images["Hook5Img"].src = "gfx/null.gif"}; else
    if (hook == 8) {document.images["Hook7Img"].src = "gfx/hook7.gif";
                    document.images["Hook6Img"].src = "gfx/null.gif"}; else
    if (hook == 9) {document.images["Hook8Img"].src = "gfx/hook8.gif";
                    document.images["Hook7Img"].src = "gfx/null.gif"}; else
    if (hook == 11) {document.images["Hook7Img"].src = "gfx/hook7.gif";
                    document.images["Hook8Img"].src = "gfx/null.gif"}; else
    if (hook == 12) {document.images["Hook6Img"].src = "gfx/hook6.gif";
                    document.images["Hook7Img"].src = "gfx/null.gif"}; else
    if (hook == 13) {document.images["Hook5Img"].src = "gfx/hook5.gif";
                     document.images["Hook6Img"].src = "gfx/null.gif"}; else
    if (hook == 14) {document.images["Hook4Img"].src = "gfx/hook4.gif";
                     document.images["Hook5Img"].src = "gfx/null.gif"}; else
    if (hook == 16) {document.images["Hook5Img"].src = "gfx/hook5.gif";
                     document.images["Hook4Img"].src = "gfx/null.gif"}; else
    if (hook == 17) {document.images["Hook6Img"].src = "gfx/hook6.gif";
                     document.images["Hook5Img"].src = "gfx/null.gif"}; else
    if (hook == 19) {document.images["Hook3Img"].src = "gfx/hook3.gif";
                     document.images["Hook2Img"].src = "gfx/null.gif";
                     document.images["Hook6Img"].src = "gfx/null.gif";}
	hook++;
}

function HookGo () {

	HookMove ();
	if ( (hook < 21)&&(mario<40) ) 
		setTimeout("HookGo()", hookSpeed);
	else {
		hook = 0; 
		document.images["SwiImg"].src = "gfx/swioff.gif";
		if ( mario == 13 ) document.images["Mar13Img"].src = "gfx/mar13.gif";
	};
}

function MarioRight() {
	if (marioJump == 0) {
		// falling from the edge
		if (mario==15) {
			mario=34;
			playsound('sfx/fall.wav');
			PauseAll ();
			MarioFall();
		};
		// move right on the upper and lower platform
		if (( (mario>0)&(mario<5) )||( (mario>12)&(mario<15) )) {
			document.images["Mar"+eval(mario++)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
			playsound('sfx/step.wav');
			BarrelsCollision ();
		};
		// move right on the mid platform
		if ( (mario>6)&(mario<11) ) {
			document.images["Mar"+eval(mario--)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
			playsound('sfx/step.wav');
			BarrelsCollision ();
		};
	}
}

function MarioLeft() {
    if (marioJump == 0) {
		// swich on the hook
        if ( (mario==13)&(hook==0) ) {
			document.images["Mar13Img"].src="gfx/mar13on.gif";
			HookGo();
		}

		// move right near swich
		if (mario == 14) {
			mario--;
			document.images["Mar14Img"].src = "gfx/null.gif";
			if (hook > 0)	document.images["Mar13Img"].src = "gfx/mar13on.gif"; else
							document.images["Mar13Img"].src = "gfx/mar13.gif";
			playsound('sfx/step.wav');
			BarrelsCollision ();
		}

		// move left on the upper and lower platform
        if ( ((mario>1)&&(mario<6))||((mario>14)&&(mario<16)) ) {
			document.images["Mar"+eval(mario--)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
			playsound('sfx/step.wav');
			BarrelsCollision ();
		}

		// move left on the mid platform
		if ( (mario>5)&(mario<10) ) {
			document.images["Mar"+eval(mario++)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
			playsound('sfx/step.wav');
			BarrelsCollision ();
		}
	}
}

function MarioUp() {
	if ( marioJump == 0 ) {

		// jump to the hook
		if (mario == 15) {
			mario = 24; 
			document.images["Mar15Img"].src = "gfx/null.gif";
			playsound('sfx/jump.wav');
			MarioEdge();
		}

		// swich on the hook
		if ( (mario==13)&(hook==0) ) {
			document.images["Mar13Img"].src="gfx/mar13on.gif";
			HookGo();
		}

		// move up near swich
		if (mario == 12) {
			mario++;
			document.images["Mar12Img"].src = "gfx/null.gif";
			if (hook > 0)	document.images["Mar13Img"].src = "gfx/mar13on.gif"; else
							document.images["Mar13Img"].src = "gfx/mar13.gif";
			playsound('sfx/step.wav');
			SegmentsCollision ();
		}

		// move up
		if ((mario==5)||(mario==10)||(mario==11)) {
			document.images["Mar"+eval(mario++)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
			playsound('sfx/step.wav');
			SegmentsCollision (); // below swich
		}

		// just jump
		if ( (mario==1)||(mario==4)||(mario==7)||(mario==8) ) {
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"upImg"].src = "gfx/mar"+eval(mario)+"up.gif";
			marioJump = 1;
			playsound('sfx/jump.wav');
			SegmentsCollision ();
			// jesli nie kolizja to skacz
			setTimeout("MarioJump()", marioSpeedJump);
		}
		// mario init
		if (mario == 0) {
			if ((game==1)||(game==2)) {
				playsound('sfx/jump.wav');
				MarioInit ();
			}
		}
	}
}

function MarioUpJump() {
	if ( marioJump == 0 ) {
		// jump to the hook
		if (mario == 15) {
			mario = 24; 
			document.images["Mar15Img"].src = "gfx/null.gif";
			playsound('sfx/jump.wav');
			MarioEdge();
		}
		// just jump
		if ( (mario==1)||(mario==4)||(mario==7)||(mario==8) ) {
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"upImg"].src = "gfx/mar"+eval(mario)+"up.gif";
			marioJump = 1;
			playsound('sfx/jump.wav');
			SegmentsCollision ();
			// jesli nie kolizja to skacz
			setTimeout("MarioJump()", marioSpeedJump);
		}
		// mario init
		if (mario == 0) {
			if ((game==1)||(game==2)) {
				playsound('sfx/jump.wav');
				MarioInit ();
			}
		}
	}
}

function MarioDown() {
	if ((game==1)||(game==2)) {
		if ( (mario == 6)||(mario == 11)||(mario == 12)||(mario == 13) ) {
			document.images["Mar"+eval(mario--)+"Img"].src = "gfx/null.gif";
			document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
			playsound('sfx/step.wav');
			SegmentsCollision ();
		}
	}
}

function MarioJump () {
	if (marioKill == 0) {
		marioJump = 0;
		document.images["Mar"+eval(mario)+"upImg"].src = "gfx/null.gif";
		document.images["Mar"+eval(mario)+"Img"].src = "gfx/mar"+eval(mario)+".gif";
		ScoreShow (); // tymczasowo
	}
}

function MarioFall () {
	mario++;
	if (mario == 35) {	document.images["Mar20Img"].src = "gfx/mar20.gif";
						document.images["Mar15Img"].src = "gfx/null.gif"
	}
	if (mario == 36) {	document.images["Mar21Img"].src = "gfx/mar21.gif";
						document.images["Mar20Img"].src = "gfx/null.gif"
	}
	if (mario == 37)	document.images["Mar21Img"].src = "gfx/null.gif";
	if (mario < 39) setTimeout ( "MarioFall ()", marioSpeedFall );
	else MarioLifeLost ();
}

function MarioEdge () {
    mario++;
	if (mario == 25) document.images["Mar16Img"].src = "gfx/mar16.gif";
    if ( (hook==5)||(hook==6)||(hook==15)||(hook==16) ) {
		mario=39;
		hook=0;
		PauseAll ();
		MarioHook ();
	} else {
		if ( mario < 26 ) setTimeout("MarioEdge()", marioSpeedJump);
		else {
			document.images["Mar16Img"].src = "gfx/null.gif";
			mario = 34;
			playsound('sfx/fall.wav');
			PauseAll ();
			MarioFall();
		}
	}
}

function MarioHook() {
	mario++;
	if (mario == 40) {	document.images["Mar16Img"].src = "gfx/mar16.gif";
						document.images["Hook4Img"].src = "gfx/hook4.gif";
						document.images["Hook2Img"].src = "gfx/hook2.gif"
						playsound('sfx/step.wav');
	}
	if (mario == 41) {	document.images["Mar17Img"].src = "gfx/mar17.gif";
						document.images["Hook6Img"].src = "gfx/hook6.gif";
						document.images["Hook2Img"].src = "gfx/hook2.gif";
						document.images["Hook4Img"].src = "gfx/null.gif";
						document.images["Mar16Img"].src = "gfx/null.gif"
						playsound('sfx/step.wav');
	}
	if (mario == 42) {	document.images["Mar18Img"].src = "gfx/mar18.gif";
						document.images["Hook1Img"].src = "gfx/hook1.gif";
						document.images["Hook2Img"].src = "gfx/null.gif";
						document.images["Hook6Img"].src = "gfx/null.gif";
						document.images["Mar17Img"].src = "gfx/null.gif";
						document.images["Hol"+eval(hold)+"Img"].src = "gfx/null.gif"; 
						playsound('sfx/step.wav');
	}
	if (mario == 43) {
		ScoreAddCount(20);
		hold--;
		if (hold != 0) mario = 96;

	}

	// bridge dissaperas...
	if (mario == 47) {	document.images["Bri1Img"].src = "gfx/null.gif";
						document.images["Bri2Img"].src = "gfx/null.gif";
						document.images["Bri3Img"].src = "gfx/null.gif";
	}

	if (mario == 48) {	document.images["Bri1Img"].src = "gfx/bri1.gif";
						document.images["Bri2Img"].src = "gfx/bri2.gif";
						document.images["Bri3Img"].src = "gfx/bri3.gif";
	}
	if (mario == 49) {	document.images["Bri1Img"].src = "gfx/null.gif";
						document.images["Bri2Img"].src = "gfx/null.gif";
						document.images["Bri3Img"].src = "gfx/null.gif";
	}

	if (mario == 50) {	document.images["Bri1Img"].src = "gfx/bri1.gif";
						document.images["Bri2Img"].src = "gfx/bri2.gif";
						document.images["Bri3Img"].src = "gfx/bri3.gif";
	}	
	if (mario == 51) {	document.images["Bri1Img"].src = "gfx/null.gif";
						document.images["Bri2Img"].src = "gfx/null.gif";
						document.images["Bri3Img"].src = "gfx/null.gif";
	}

	if (mario == 52) {	document.images["Bri1Img"].src = "gfx/bri1.gif";
						document.images["Bri2Img"].src = "gfx/bri2.gif";
						document.images["Bri3Img"].src = "gfx/bri3.gif";
	}

	if (mario == 53) {	document.images["Bri1dnImg"].src = "gfx/bri1dn.gif";
						document.images["Bri2dnImg"].src = "gfx/bri2dn.gif";
						document.images["Bri3dnImg"].src = "gfx/bri3dn.gif";
						document.images["Bri1Img"].src = "gfx/null.gif";
						document.images["Bri2Img"].src = "gfx/null.gif";
						document.images["Bri3Img"].src = "gfx/null.gif";
						document.images["Kong4Img"].src = "gfx/kong4.gif";
						document.images["Kong"+eval(kong)+"Img"].src = "gfx/null.gif";
						kong = 4;
						playsound('sfx/kongfall.wav');
	}

	if (mario == 54) {	document.images["Bri1dnImg"].src = "gfx/null.gif";
						document.images["Bri2dnImg"].src = "gfx/null.gif";
						document.images["Bri3dnImg"].src = "gfx/null.gif";
	}

	if (mario == 55) ScoreAddCount(20);

	if (mario == 57) mario = 100;

	// move hook to normal
	if (mario == 101) {	document.images["Mar17Img"].src = "gfx/mar17.gif";
						document.images["Hook2Img"].src = "gfx/hook2.gif";
						document.images["Hook6Img"].src = "gfx/hook6.gif";
						document.images["Hook1Img"].src = "gfx/null.gif";
						document.images["Mar18Img"].src = "gfx/null.gif"
						playsound('sfx/step.wav');
	}
	if (mario == 102) {	document.images["Mar19Img"].src = "gfx/mar19.gif";
						document.images["Hook3Img"].src = "gfx/hook3.gif";
						document.images["Hook2Img"].src = "gfx/null.gif";
						document.images["Hook6Img"].src = "gfx/null.gif";
						document.images["Mar17Img"].src = "gfx/null.gif";
						playsound('sfx/step.wav');
	}
	// once again...
	if (mario == 103) {	document.images["Mar19Img"].src = "gfx/null.gif";
						playsound('sfx/step.wav');

						if (kong == 4) {	document.images["Kong1Img"].src = "gfx/kong1.gif";
											document.images["Kong4Img"].src = "gfx/null.gif";
											document.images["Bri1Img"].src = "gfx/bri1.gif";
											document.images["Bri2Img"].src = "gfx/bri2.gif";
											document.images["Bri3Img"].src = "gfx/bri3.gif";
											document.images["Hol1Img"].src = "gfx/hol1.gif";
											document.images["Hol2Img"].src = "gfx/hol2.gif";
											document.images["Hol3Img"].src = "gfx/hol3.gif";
											document.images["Hol4Img"].src = "gfx/hol4.gif";
											kong=1;
											hold=4;
						}
	}

	if (mario < 105) setTimeout("MarioHook()", hookSpeedMario); 
	else AllInit ();
}

function MarioKill () {
	marioKillPlace = mario;
	mario = 100;
	marioKill = 1;
	PauseAll ();
	playsound('sfx/miss.wav');
	if (marioJump==0) MarioKillGo ();
	else MarioKillGoJump ();
}

function MarioKillGo () {
	mario++;
	if (mario == 102)	document.images["Mar"+eval(marioKillPlace)+"Img"].src = "gfx/null.gif";
	if (mario == 103)	document.images["Mar"+eval(marioKillPlace)+"Img"].src = "gfx/mar"+eval(marioKillPlace)+".gif";
	if (mario == 104)	document.images["Mar"+eval(marioKillPlace)+"Img"].src = "gfx/null.gif";
	if (mario == 105)	document.images["Mar"+eval(marioKillPlace)+"Img"].src = "gfx/mar"+eval(marioKillPlace)+".gif";
	if (mario == 106)	document.images["Mar"+eval(marioKillPlace)+"Img"].src = "gfx/null.gif";
	if (mario < 108) setTimeout("MarioKillGo ()", marioSpeedKill);
	else MarioLifeLost();
}

function MarioKillGoJump () {
	marioJump=0;
	mario++;
	if (mario == 102)	document.images["Mar"+eval(marioKillPlace)+"upImg"].src = "gfx/null.gif";
	if (mario == 103)	document.images["Mar"+eval(marioKillPlace)+"upImg"].src = "gfx/mar"+eval(marioKillPlace)+"up.gif";
	if (mario == 104)	document.images["Mar"+eval(marioKillPlace)+"upImg"].src = "gfx/null.gif";
	if (mario == 105)	document.images["Mar"+eval(marioKillPlace)+"upImg"].src = "gfx/mar"+eval(marioKillPlace)+"up.gif";
	if (mario == 106)	document.images["Mar"+eval(marioKillPlace)+"upImg"].src = "gfx/null.gif";
	if (mario < 108) setTimeout("MarioKillGoJump ()", marioSpeedKill);
	else MarioLifeLost();
}

function UnPauseAll () {
	barrelsPause = 0;
	segmentsPause = 0;
	kongPause = 0;
}

function PauseAll () {
	barrelsPause = 1;
	segmentsPause = 1;
	kongPause = 1;
}

function AllInit () {
	mario = 0;
	marioKill = 0;
	UnPauseAll ();
}

function MarioInit () {
		mario = 1;
		document.images["Mar1Img"].src = "gfx/mar1.gif";
		LifeShow ();
}

function MarioLifeLost () {
	life--;
	AllInit ();
	if (life == 0) GameOver ();
}

function GameOver () {
	game=3;
	PauseAll();
	playsound('sfx/over.wav');
}

function LifeShow () {
	if ( life>1 )	document.images["Life1Img"].src = "gfx/life.gif";
	else			document.images["Life1Img"].src = "gfx/null.gif";
	if ( life>2 )	document.images["Life2Img"].src = "gfx/life.gif";
	else			document.images["Life2Img"].src = "gfx/null.gif";
	if ( life>3 )	document.images["Life3Img"].src = "gfx/life.gif";
	else			document.images["Life3Img"].src = "gfx/null.gif";
}

function ScoreShow () {
	if ( score>999 )	document.images["Num1Img"].src = "gfx/num"+eval(Math.floor((score/1000)))+".gif";
	else				document.images["Num1Img"].src = "gfx/null.gif";
	if ( score>99 )		document.images["Num2Img"].src = "gfx/num"+eval(Math.floor((score%1000/100)))+".gif";
	else				document.images["Num2Img"].src = "gfx/null.gif";
	if ( score>9 )		document.images["Num3Img"].src = "gfx/num"+eval(Math.floor((score%100)/10))+".gif";
	else				document.images["Num3Img"].src = "gfx/null.gif";
						document.images["Num4Img"].src = "gfx/num"+eval(score%10)+".gif";
}

function ScoreAddCount (points) {
	bonus=points;
	ScoreGo ();
}

function ScoreGo () {
	ScoreAddFast(1);
	bonus--;
	playsound('sfx/bonus.wav');
	if (bonus>0) setTimeout("ScoreGo()", scoreSpeed); 
}

function ScoreAddFast (points) {
	score+=points;
	if (score>9999) score-=10000;
	ScoreShow ();
}

function MainPicturesGame() {
	document.images["Hook3Img"].src = "gfx/hook3.gif";
	document.images["SwiImg"].src = "gfx/swioff.gif";
	for ( i=1 ; i<=life ; i++) document.images["Life"+eval(i)+"Img"].src = "gfx/life.gif";
	for ( i=1 ; i<4 ; i++) document.images["Bri"+eval(i)+"Img"].src = "gfx/bri"+eval(i)+".gif";
	for ( i=1 ; i<=hold ; i++) document.images["Hol"+eval(i)+"Img"].src = "gfx/hol"+eval(i)+".gif";
}

function MainPicturesShow () {
	for ( i=1 ; i<9 ; i++) document.images["Hook"+eval(i)+"Img"].src = "gfx/hook"+eval(i)+".gif";
	document.images["SwiImg"].src = "gfx/swiall.gif";
	for ( i=1 ; i<22 ; i++) document.images["Mar"+eval(i)+"Img"].src = "gfx/mar"+eval(i)+".gif";
	document.images["Mar1upImg"].src = "gfx/mar1up.gif";
	document.images["Mar4upImg"].src = "gfx/mar4up.gif";
	document.images["Mar7upImg"].src = "gfx/mar7up.gif";
	document.images["Mar8upImg"].src = "gfx/mar8up.gif";
	document.images["Mar13Img"].src = "gfx/mar13all.gif";
	for ( i=1 ; i<4 ; i++) document.images["Bri"+eval(i)+"Img"].src = "gfx/bri"+eval(i)+".gif";
	for ( i=1 ; i<4 ; i++) document.images["Bri"+eval(i)+"dnImg"].src = "gfx/bri"+eval(i)+"dn.gif";
	for ( i=1 ; i<4 ; i++) document.images["Kong"+eval(i)+"Img"].src = "gfx/kong"+eval(i)+"all.gif";
	document.images["Kong4Img"].src = "gfx/kong4.gif";
	for ( i=1 ; i<4 ; i++) document.images["Life"+eval(i)+"Img"].src = "gfx/life.gif";
	for ( i=1 ; i<5 ; i++) document.images["Hol"+eval(i)+"Img"].src = "gfx/hol"+eval(i)+".gif";
	for ( i=1 ; i<6 ; i++) document.images["Seg"+eval(i)+"Img"].src = "gfx/seg"+eval(i)+".gif";
	for ( i=1 ; i<28 ; i++) document.images["Bar"+eval(i)+"Img"].src = "gfx/bar"+eval(i)+".gif";
	document.images["NumImg"].src = "gfx/num.gif";
	for ( i=1 ; i<5 ; i++) document.images["Num"+eval(i)+"Img"].src = "gfx/num8.gif";
	document.images["NumAMImg"].src = "gfx/numam.gif";
	document.images["NumPMImg"].src = "gfx/numpm.gif";
}

function MainPicturesClear () {
	for ( i=1 ; i<9 ; i++) document.images["Hook"+eval(i)+"Img"].src = "gfx/null.gif";
	document.images["SwiImg"].src = "gfx/null.gif";
	for ( i=1 ; i<22 ; i++) document.images["Mar"+eval(i)+"Img"].src = "gfx/null.gif";
	document.images["Mar1upImg"].src = "gfx/null.gif";
	document.images["Mar4upImg"].src = "gfx/null.gif";
	document.images["Mar7upImg"].src = "gfx/null.gif";
	document.images["Mar8upImg"].src = "gfx/null.gif";
	for ( i=1 ; i<4 ; i++) document.images["Bri"+eval(i)+"Img"].src = "gfx/null.gif";
	for ( i=1 ; i<4 ; i++) document.images["Bri"+eval(i)+"dnImg"].src = "gfx/null.gif";
	for ( i=1 ; i<5 ; i++) document.images["Kong"+eval(i)+"Img"].src = "gfx/null.gif";
	for ( i=1 ; i<4 ; i++) document.images["Life"+eval(i)+"Img"].src = "gfx/null.gif";
	for ( i=1 ; i<5 ; i++) document.images["Hol"+eval(i)+"Img"].src = "gfx/null.gif";
	for ( i=1 ; i<6 ; i++) document.images["Seg"+eval(i)+"Img"].src = "gfx/null.gif";
	for ( i=1 ; i<28 ; i++) document.images["Bar"+eval(i)+"Img"].src = "gfx/null.gif";
	document.images["NumImg"].src = "gfx/null.gif";
	for ( i=1 ; i<5 ; i++) document.images["Num"+eval(i)+"Img"].src = "gfx/null.gif";
	document.images["NumAMImg"].src = "gfx/null.gif";
	document.images["NumPMImg"].src = "gfx/null.gif";
}



function TimeShow () {
	if (game==4) {
		var Digital=new Date()
		var hour=Digital.getHours()
		var min=Digital.getMinutes()
		var sec=Digital.getSeconds()

		if ((hour>=12)&&(min>=1)||(hour>=13)) { //PM
			hour-=12;
			document.images["NumAMImg"].src="gfx/null.gif";
			document.images["NumPMImg"].src="gfx/numpm.gif";
		} else { //AM
			document.images["NumAMImg"].src="gfx/numam.gif";
			document.images["NumPMImg"].src="gfx/null.gif";
		}
		if (hour==0) hour=12;

		if (hour<10)	document.images["Num1Img"].src="gfx/null.gif";
		else		document.images["Num1Img"].src="gfx/num"+eval(Math.floor(hour/10))+".gif";
		document.images["Num2Img"].src="gfx/num"+eval(hour%10)+".gif";
		document.images["Num3Img"].src="gfx/num"+eval(Math.floor(min/10))+".gif";
		document.images["Num4Img"].src="gfx/num"+eval(min%10)+".gif";

		if ((sec%2)==1) document.images["NumImg"].src = "gfx/num.gif";
		else document.images["NumImg"].src = "gfx/null.gif";

		setTimeout("TimeShow()", 1000)
	}
}



// Menu // game = 0-no game-reset; 1-gameA; 2-gameB; 3-game over-score; 4-clock
function MainTime () {
	if (game!=4) {
		playsound('sfx/bonus.wav');
		game = 4;
		PauseAll();
		MainPicturesClear();
		TimeShow ();
	}
}

function MainReset () {
	if (game!=0) {
		playsound('sfx/bonus.wav');
		game = 0;
		PauseAll();
		BarrelsReset ();
		SegmentsReset ();
		MainPicturesShow ();
	}
}
function MainGameA() {
	if ((game!=1)&&(game!=2)) {
		playsound('sfx/bonus.wav');
		MainReset();
		game=1;

		kong = 2;
		bonus = 0;
		hold = 4;
		life = 3;
		score = 0;
		marioKill = 0; // if mario was killed
		mario = 0;
		marioJump = 0;
		hook = 0;
		barrelsCount=0;

		MainPicturesClear();
		MainPicturesGame(); 
		UnPauseAll ();
		ScoreShow ();
		BarrelsGo (); 
		SegmentsGo (); 
		KongGo ();
	}
}

function MainGameB() {
}

function Loaded() {
	prefSound=false;
	MainReset ();
	prefSound=true;
}
